import request from '@/utils/request'

// 查询生乳检验记录列表
export function listRawMilkTest(query) {
  return request({
    url: '/rawMilkTest/rawMilkTest/list',
    method: 'get',
    params: query
  })
}

// 查询生乳检验记录详细
export function getRawMilkTest(id) {
  return request({
    url: '/rawMilkTest/rawMilkTest/' + id,
    method: 'get'
  })
}

// 新增生乳检验记录
export function addRawMilkTest(data) {
  return request({
    url: '/rawMilkTest/rawMilkTest',
    method: 'post',
    data: data
  })
}

// 修改生乳检验记录
export function updateRawMilkTest(data) {
  return request({
    url: '/rawMilkTest/rawMilkTest',
    method: 'put',
    data: data
  })
}

// 删除生乳检验记录
export function delRawMilkTest(id) {
  return request({
    url: '/rawMilkTest/rawMilkTest/' + id,
    method: 'delete'
  })
}
